Subject: Re: compile quirk linux-2.6.24 (with workaround)

From: Bernhard Reiter <[email-masked]>
Date: Mon, 25 Feb 2008 12:56:35 +0100

On Friday 22 February 2008 15:50, Bernhard Reiter wrote:
> > Ok, so it seems -mcpu=440 was added in gcc 3.4.  The -mcpu=405 option
> > has been around since 2001.  Seeing as how there really isn't anything
> > 440 specific in the files effected, we should be able to pass -mcpu=405
> > for everything and have it still work.
> >
> > Bernhard, can you try the patch below?
>
> I will test it in the next days.

Done. Looks good.
(I did _not_ do a full rebuild and installation, only a build test.
I will do a full blown test with 2.6.24.3.)

> The short test for my sarge compiler makes me optimistic:
>
> dpkg -l gcc | grep gcc
> ii  gcc            3.3.5-3        The GNU C compiler
> bernhard@burn:~/tmp$ gcc -mcpu=440 x.c
> cc1: error: bad value (440) for -mcpu= switch
> bernhard@burn:~/tmp$ gcc -mcpu=405 x.c
> bernhard@burn:~/tmp$
>
> > -$(obj)/cuboot-katmai.o: BOOTCFLAGS += -mcpu=440
> > +$(obj)/4xx.o: BOOTCFLAGS += -mcpu=405

Note: Your original did not fully apply, I think it had lines like
-$(obj)/cuboot-taishan.o: BOOTCFLAGS += -mcpu=440
-$(obj)/cuboot-katmai.o: BOOTCFLAGS += -mcpu=440
which I did not have in my 2.6.24.
Probably because you've used a git version of linux.
What I did was to change the similiar occurances from 440 to 405.

Bernhard

-- 
Managing Director - Owner: www.intevation.net       (Free Software Company)
Germany Coordinator: fsfeurope.org. Coordinator: www.Kolab-Konsortium.com.
Intevation GmbH, Osnabrück, DE; Amtsgericht Osnabrück, HRB 18998
Geschäftsführer Frank Koormann, Bernhard Reiter, Dr. Jan-Oliver Wagner